<?php
/**
 * SoftnepNews functions and definitions
 */
/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/widgets.php';
require get_template_directory() . '/inc/script.php';
//require get_template_directory() . '/inc/cpt-photogallery.php';
//require get_template_directory() . '/inc/cpt-videogallery.php';
//require get_template_directory() . '/inc/cf-link.php';
require get_template_directory() . '/inc/functions.php';
require get_template_directory() . '/inc/metabox.php';
//require get_template_directory() . '/inc/cpt-subscribe-email.php';
require get_template_directory() . '/inc/theme-options.php';
/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) ) {
	$content_width = 640; /* pixels */
}

if ( ! function_exists( 'softnepnews_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 */
function softnepnews_setup() {

	/*
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 * If you're building a theme based on ProfitMag, use a find and replace
	 * to change 'profitmag' to the name of your theme in all the template files
	 */
	load_theme_textdomain( 'softnepnews', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );
    
    
    // Add Featured Image
    add_theme_support( 'post-thumbnails' );


	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 *
	 * @link http://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
	 */

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'softnep_news' ),
		'secondary' => __( 'Secondary Menu', 'softnep_news' )
	) );

	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption',
	) );
    /*
     * Let WordPress manage the document title.
     * By adding theme support, we declare that this theme does not use a
     * hard-coded <title> tag in the document head, and expect WordPress to
     * provide it for us.
     */
    add_theme_support( 'title-tag' );    
    // enables Custom_Headers support 
    add_theme_support( 'custom-header' );
    // enables Custom Background
    add_theme_support( 'custom-background' );

}

endif; // softnepnews_setup
add_action( 'after_setup_theme', 'softnepnews_setup' );



// Resize images
if ( function_exists( 'add_image_size' ) ) { 
	add_image_size( 'mainslider-thumbnail', 580, 426, true ); 
	add_image_size( 'featurednews-thumbnail', 150, 130, true );
    add_image_size(  'health-thumbnail', 380, 400, true );
    add_image_size( 'sports-thumbnail', 420, 300, true );
    add_image_size( 'sportssecond-thumbnail', 180, 129, true );  
    add_image_size( 'entertainment-thumbnail', 290, 207, true ); 
    add_image_size( 'topstory-thumbnail', 260, 130, true );   
    add_image_size( 'opinion-thumbnail', 90, 80, true ); 
    add_image_size( 'politics-thumbnail', 250, 125, true ); 
    add_image_size( 'photogallery-thumbnail', 750, 500, true ); 
    add_image_size( 'recentnews-thumbnail', 68, 68, true ); 
    add_image_size( 'popularnews-thumbnail', 72, 72, true );  
}

/**
 * Register widgetized area and update sidebar with default widgets
 */
 function softnepnews_widgets_init() {
    register_sidebar( array(
        'name'          => __( 'Sidebar-1', 'softnep_news' ),
        'id'            => 'sidebar-1',
        'description' => __( 'The widgets to display first column of homepage','softnep_news'),
        'after_widget'  => '</div>',
        'before_title'  => '<div class="box-title">',
        'after_title'   => '</div>'
    ) );
 
    register_sidebar( array(
        'name'          => __( 'Sidebar-2', 'softnep_news' ),
        'id'            => 'sidebar-2',
        'description' => __( 'The widgets to display second column of homepage','softnep_news'),
        'after_widget'  => '</div>',
        'before_title'  => '<div class="box-title">',
        'after_title'   => '</div>',
    ) );
	register_sidebar( array(
        'name'          => __( 'Sidebar-3', 'softnep_news' ),
        'id'            => 'sidebar-3',
        'description' => __( 'The widgets to display third column of homepage','softnep_news'),
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="box-title">',
        'after_title'   => '</h3>',
    ) );
	register_sidebar( array(
        'name'          => __( 'Header Ad Banner', 'softnep_news' ),
        'id'            => 'header-ad',
        'description' => __( 'The widgets to display header ad banner','softnep_news')
    ) );
    register_sidebar( array(
        'name'          => __( 'Below Header Ad Banner', 'softnep_news' ),
        'id'            => 'below-header-ad',
        'description' => __( 'The widgets to display ad banner before main content.','softnep_news')
    ) );
    register_sidebar( array(
        'name'          => __( 'Footer Ad Banner', 'softnep_news' ),
        'id'            => 'footer-ad',
        'description' => __( 'The widgets to display ad banner on footer.','softnep_news')
    ) );
    register_sidebar( array(
        'name'          => __( 'Header Recent News', 'softnep_news' ),
        'id'            => 'header-recent-news',
        'description' => __( 'The widgets to display recent news on header.','softnep_news'),
        'before_widget' => '<div id="sn_page"><div class="widget">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<h2 class="widget_title">',
        'after_title'   => '</h2>',
    ) );
     register_sidebar( array(
        'name'          => __( 'Header Breaking News', 'softnep_news' ),
        'id'            => 'header-breaking-news',
        'description' => __( 'The widgets to display breaking news on header.','softnep_news'),
        'before_widget' => '<div class="col-left">',
        'after_widget'  => '</div>',
        'before_title'  => '<div class="widget-title">',
        'after_title'   => '</div>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Footer Widget', 'softnep_news' ),
        'id'            => 'footer-social',
        'description'   =>__('The widget to display widget in footer section for newsletter and social link.','softnep_news')
    ) );
        register_sidebar( array(
        'name'          => __( 'Sidebar Inner Page', 'softnep_news' ),
        'id'            => 'sidebar-4',
        'description' => __( 'The widgets to display sidebar in inner pages.','softnep_news'),
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="box-title">',
        'after_title'   => '</h3>',
    ) );
}
add_action( 'widgets_init', 'softnepnews_widgets_init' );
/*
Media Upload for logos
*/
function softnep_upload_scripts() {
wp_enqueue_script('media-upload');
wp_enqueue_script('thickbox');
wp_register_script('my-upload', get_template_directory_uri() . '/js/custom_uploader.js', array('jquery','media-upload','thickbox'));
wp_enqueue_script('my-upload');
}
function softnep_admin_styles() {
wp_enqueue_style('thickbox');
}
add_action('admin_enqueue_scripts', 'softnep_upload_scripts');
add_action('admin_enqueue_scripts', 'softnep_admin_styles');

/* ------------------------------------------------------------------*/
/* ADD PRETTYPHOTO REL ATTRIBUTE FOR LIGHTBOX */
/* ------------------------------------------------------------------*/
 
function amethyst_gallery_atts( $out, $pairs, $atts ) {
    $atts = shortcode_atts( array(
      'columns' => '3',
      'size' => 'photogallery-thumbnail',
    ), $atts );
 
    $out['columns'] = $atts['columns'];
    $out['size'] = $atts['size'];
 
    return $out;
 
}
add_filter( 'shortcode_atts_gallery', 'amethyst_gallery_atts', 10, 3 ); 
add_filter('wp_get_attachment_link', 'rc_add_rel_attribute');
function rc_add_rel_attribute($link) {
	global $post;
	return str_replace('<a href', '<a class="lightbox content_lightbox" rel="group1" href', $link);
	
}

add_filter('post_gallery', 'softnep_gallery_shortcode', 10, 2);

function softnep_gallery_shortcode($output, $attr) {
    global $post;

    static $instance = 0;
    $instance++;

    // We're trusting author input, so let's at least make sure it looks like a valid orderby statement
    if ( isset( $attr['orderby'] ) ) {
        $attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
        if ( !$attr['orderby'] )
            unset( $attr['orderby'] );
    }

    extract(shortcode_atts(array(
        'order'      => 'ASC',
        'orderby'    => 'menu_order ID',
        'id'         => $post->ID,
        'itemtag'    => 'dl',
        'icontag'    => 'dt',
        'captiontag' => 'dd',
        'columns'    => 3,
        'size'       => 'photogallery-thumbnail',
        'include'    => '',
        'exclude'    => ''
    ), $attr));

    $id = intval($id);
    if ( 'RAND' == $order )
        $orderby = 'none';

    if ( !empty($include) ) {
        $include = preg_replace( '/[^0-9,]+/', '', $include );
        $_attachments = get_posts( array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );

        $attachments = array();
        foreach ( $_attachments as $key => $val ) {
            $attachments[$val->ID] = $_attachments[$key];
        }
    } elseif ( !empty($exclude) ) {
        $exclude = preg_replace( '/[^0-9,]+/', '', $exclude );
        $attachments = get_children( array('post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
    } else {
        $attachments = get_children( array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
    }

    if ( empty($attachments) )
        return '';

    if ( is_feed() ) {
        $output = "\n";
        foreach ( $attachments as $att_id => $attachment )
            $output .= wp_get_attachment_link($att_id, $size, true) . "\n";
        return $output;
    }

    $itemtag = tag_escape($itemtag);
    $captiontag = tag_escape($captiontag);
    $columns = intval($columns);
    $itemwidth = $columns > 0 ? floor(100/$columns) : 100;
    $float = is_rtl() ? 'right' : 'left';

    $selector = "gallery-{$instance}";

    $gallery_style = $gallery_div = '';
    if ( apply_filters( 'use_default_gallery_style', true ) )
        $gallery_style = "
        <style type='text/css'>
            
        </style>
        <!-- see gallery_shortcode() in wp-includes/media.php -->";
    $size_class = sanitize_html_class( $size );
    $gallery_div = "<div id='sn_albums_photos' class='gallery galleryid-{$id} gallery-columns-{$columns} gallery-size-{$size_class}'>";
    $output = apply_filters( 'gallery_style', $gallery_style . "\n\t\t" . $gallery_div );

    $i = 0;
    foreach ( $attachments as $id => $attachment ) {
        $link = isset($attr['link']) && 'file' == $attr['link'] ? wp_get_attachment_link($id, $size, false, false) : wp_get_attachment_link($id, $size, true, false);
	$image_attributes = wp_get_attachment_image_src( $id,'full' );
	$image_attributes1 = wp_get_attachment_image_src( $id,'photogallery-thumbnail' );
        $output .= '<div class="col"><a href="'.$image_attributes[0].'" title="'.$attachment->post_excerpt.'" class="sn-colorbox1 lightbox content-lightbox" rel="group1">
						<div class="sn-image-wrap">
                                <div class="sn-overlay"></div>
					'.wp_get_attachment_image( $id, 'photogallery-thumbnail' ).'
                            </div>
                            <div class="sn-album-title">'.$attachment->post_excerpt.'</div>
						</a></div>
					';
        
        
    }

    $output .= "
        </div>\n";

    return $output;
}
/* Control Excerpt Length */
function softnep_trim_excerpt($text,$let='64')  
{
    $getlength = strlen($text);
    $thelength = $let;
    $value = substr($text, 0, $thelength);
    if ($getlength > $thelength) $value.= "...";
    return $value;
    
}
/*unregister wordpress default widget */
function softnep_unregister_default_widgets() {    
    unregister_widget('WP_Widget_Pages');    
    unregister_widget('WP_Widget_Calendar');     
    unregister_widget('WP_Widget_Archives');         
    unregister_widget('WP_Widget_Meta');     
    unregister_widget('WP_Widget_Search');     
    unregister_widget('WP_Widget_Text');     
    unregister_widget('WP_Widget_Categories');     
    unregister_widget('WP_Widget_Recent_Posts');     
    unregister_widget('WP_Widget_Recent_Comments');     
    unregister_widget('WP_Widget_RSS');     
    unregister_widget('WP_Widget_Tag_Cloud');     
    unregister_widget('WP_Nav_Menu_Widget');     
} 
add_action('widgets_init', 'softnep_unregister_default_widgets', 11);

/* Adding class to next_post_link */
add_filter('next_post_link', 'softnep_post_link_attributes');
 
function softnep_post_link_attributes($output) {
    $code = 'class="next"';
    return str_replace('<a href=', '<a '.$code.' href=', $output);
}
/*Redirect to theme setting page on activating theme */
global $pagenow;
 if ( is_admin() && isset( $_GET['activated'] ) && $pagenow == 'themes.php' )
 {
      wp_redirect( admin_url( 'admin.php?page=settings' ) );
      exit;
 }
/* enqueue css for displaying background color for custom widget display on widgets.php backend  */
 if (!function_exists('softnep_admin_scripts')) {
    function softnep_admin_scripts($hook) {
        if ('appearance_page_magazine' === $hook || 'widgets.php' === $hook) {
            wp_enqueue_style('sn-admin', get_template_directory_uri() . '/css/admin.css');
        }
    }
}
add_action('admin_enqueue_scripts', 'softnep_admin_scripts');

// For Http Request for Video Duration Display
if( !class_exists( 'WP_Http' ) )
include_once( ABSPATH . WPINC. '/class-http.php' );

//Enqueue Editor style
function Sn_add_editor_styles() {
    add_editor_style( 'editor-style.css' );
}
add_action( 'admin_init', 'sn_add_editor_styles' );

/**** TGM to install required custom post type to the theme start ******/

require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'softnepnewstheme_register_required_plugins' );
function softnepnewstheme_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(
		array(
			'name'      => 'SoftNEP News Theme Post Types',
			'slug'      => 'softnepnewstheme-posttypes',
			'source'    => 'https://github.com/supportsoftnep/softnepnewstheme-posttypes/archive/master.zip',
		     'required'  =>true,
             'force_activation'=> true,
             'force_deactivation'=>true 
        ),
	);

	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.

	);

	tgmpa( $plugins, $config );
}
/**** TGM to install required custom post type to the theme end ****/