<?php 
global $options;
$options = get_option( 'softnepnews_options');
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
<meta name="robots" content="noindex,nofollow"/>
<meta name="description" content="" />
<meta name="keywords" content="" />	
<title><?php wp_title(':', true, 'right');?></title>
<link rel="shortcut icon" href="<?php echo $options['favicon_icon'];?>" type="image/x-icon" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>
<?php wp_head(); ?>
<?php if($options['tracking']) : ?>
<?php echo $options['tracking'];?>
<?php endif;?>
</head>
<body <?php body_class(); ?>>
<!-- Main Menu -->
<nav id="sn_navigation">
	<div id="sn_page" class="main-navigation">
		<?php
			if ( has_nav_menu('primary') ) {
				wp_nav_menu( array (
					'theme_location'    => 'primary',
					'container'         => '',
					'menu_id'           => 'main-menu',
					'depth'             => 0, // set to 1 to disable dropdowns
					'fallback_cb'       => false,
					'menu_class'		=> 'menu'
				));
			}
		?>
    </div>
</nav>
<!-- end Main Menu -->
<!-- Header Block -->
<header id="sn_header">
	<div id="sn_page" class="clearfix">
    	<!-- Logo -->
    	<div class="logo">
              <?php if($options['header_logo']) { ?>
                    <a href="<?php echo esc_url( home_url() )?>/" title="<?php bloginfo( 'name' ) ?>" rel="homepage">
                    <img src="<?php echo $options['header_logo']; ?>" alt="<?php bloginfo( 'name' ) ?>"  width="210" height="60" /></a>
                    <?php } else { ?>
                <h1><a href="<?php echo esc_url( home_url() )?>/" title="<?php bloginfo( 'name' ) ?>" rel="homepage"><?php bloginfo( 'name' ) ?></a></h1>
                    <?php } ?>
        </div>
    	<!-- end Logo -->
    	<!-- Header Advertisement -->
        <div class="advert">
        	 <?php if ( is_active_sidebar( 'header-ad' ) ) : ?>
                    <?php dynamic_sidebar( 'header-ad' ); ?>
                    <?php endif; ?>
        </div>
    	<!-- end Header Advertisement -->
        
    </div>
</header>
<!-- end Header Block -->
<!-- Latest News Section -->
<section id="sn_topbar">
	 <?php if ( is_active_sidebar( 'header-recent-news' ) ) : ?>
                    <?php dynamic_sidebar( 'header-recent-news' ); ?>
                    <?php endif; ?>
</section>
<!-- end Latest News Section -->



<!-- Advertisement -->
<section id="sn_advert">
	<?php if ( is_active_sidebar( 'below-header-ad' ) ) : ?>
        <?php dynamic_sidebar( 'below-header-ad' ); ?>
    <?php endif; ?>
</section>
<!-- end Advertisement -->
<!-- Scrolling Text -->
<section id="sn_scroll">
	<div id="sn_page">
    	<!-- Breaking News -->
    	<?php if ( is_active_sidebar( 'header-breaking-news' ) ) : ?>
        <?php dynamic_sidebar( 'header-breaking-news' ); ?>
        <!-- Search -->
        <div class="col-right">
        	<div class="search-box">
            	<?php get_search_form(); ?>
            </div>
        </div>
        <!-- end Search -->
    <?php endif; ?>
    <!-- end Breaking News -->
    </div>
</section>
<!-- Scrolling Text -->