<?php
/**
 * Softnep News functions and definitions
 *
 * This file contains all the functions and it's defination that particularly can't be
 * in other files.
 *
 */

/*

For Comment Form
*/
if ( ! function_exists( 'softnepnews_comment' ) ) :
/**
 * Template for comments and pingbacks.
 *
 * Used as a callback by wp_list_comments() for displaying the comments.
 */
function softnepnews_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
		// Display trackbacks differently than normal comments.
	?>
	<li>
		<p><?php _e( 'Pingback:', 'softnep_news' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( '(Edit)', 'softnep_news' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
		// Proceed with normal comments.
		global $post;
	?>
	<li>
		<a href="#" class="alignleft">
		<?php
			echo get_avatar( $comment, 40 );
			echo '</a>';
			printf( '<div class="comment-heading">
            <h4 class="commenter">%1$s%2$s</h4>',
			get_comment_author_link(), ''
			// If current post author is also comment author, make it known visually.
			//( $comment->user_id === $post->post_author ) ? '<span>' . __( 'Post author', 'softnep_news' ) . '</span>' : ''
			);
			printf( '<div class="comment-info">%1$s</div></div>',
			sprintf( __( '%1$s at %2$s - %3$s', 'softnep_news'), get_comment_date(), get_comment_time(), get_comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply', 'softnep_news' ), 'after' => '', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) )) 
			);
		?>
			<?php if ( '0' == $comment->comment_approved ) : ?>
			<p class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'softnep_news' ); ?></p>
		<?php endif; ?>
		<p>
		<?php comment_text(); ?></p>
		<!-- .comment-content -->

	<?php
		break;
	endswitch; // end comment_type check
}
endif;

/*

To Highlight the searched term
*/
function search_excerpt_highlight() {
    $excerpt = get_the_excerpt();
    $keys = implode('|', explode(' ', get_search_query()));
    $excerpt = preg_replace('/(' . $keys .')/iu', '<span class="highlight">\0</span>', $excerpt);

    echo $excerpt;
}

function search_title_highlight() {
    $title = get_the_title();
    $keys = implode('|', explode(' ', get_search_query()));
    $title = preg_replace('/(' . $keys .')/iu', '<span class="highlight">\0</span>', $title);

    echo $title;
}

