<?php
/**
 * Softnep News Theme Options
 */
if ( is_admin() ) : // Load only if we are viewing an admin page
add_action( 'admin_init', 'theme_register_settings' );
add_action( 'admin_menu', 'softnepnews_theme_options' );
//register settings
function theme_register_settings() {
	register_setting( 'softnepnews_theme_options', 'softnepnews_options', 'softnepnews_validate_options' );
}
//add settings page to menu
function softnepnews_theme_options() {
	// Add theme options page to the addmin menu
add_theme_page( __( 'Theme Settings','softnep_news' ), __( 'Theme Settings','softnep_news' ), 'manage_options', 'settings', 'theme_settings_page');
}
//start settings page
function theme_settings_page() {
	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false; // This checks whether the form has just been submitted. ?>
	<div id="icon-options-general"></div>
	<h2><?php _e( 'Theme Settings','softnep_news' ) //your admin panel title ?></h2>

	<?php
	//show saved options message
	if ( false !== $_REQUEST['settings-updated'] ) : ?>
	<div><p><strong><?php _e( 'Options saved','softnep_news' ); ?></strong></p></div>
	<?php endif; ?>
	<form method="post" action="options.php">
		<?php settings_fields( 'softnepnews_theme_options' ); ?>
		<?php $options = get_option( 'softnepnews_options' ); ?>
			<table>

				<!-- Option 1: Header  Logo -->
				<tr valign="top">
					<th scope="row"><?php _e( 'Header Logo','softnep_news' ); ?></th>
					<td><input id="softnepnews_options[header_logo]"  type="text" size="36" name="softnepnews_options[header_logo]" value="<?php echo esc_attr($options['header_logo']); ?>" />
					<input id="_btn" class="upload_image_button" type="button" value="Upload Image" />
					<label><?php _e( 'The recommended size is:210pxX60px','softnep_news'); ?></label></td>
				</tr>
				<!-- Option 2: Favicon Icon -->
				<tr valign="top">
					<th scope="row"><?php _e( 'Favicon Icon' ,'softnep_news'); ?></th>
					<td><input id="softnepnews_options[favicon_icon]" type="text" size="36" name="softnepnews_options[favicon_icon]" value="<?php echo esc_attr($options['favicon_icon']); ?>" />
						<input id="_btn" class="upload_image_button" type="button" value="Upload Image" />
					</td>
				</tr>
				<!-- Option 3:Footer Logo -->
				<tr valign="top">
					<th scope="row"><?php _e( 'Footer Logo','softnep_news' ); ?></th>
					<td><input id="softnepnews_options[footer_logo]" name="softnepnews_options[footer_logo]" type="text" size="36" value="<?php echo esc_attr($options['footer_logo']); ?>" />
						<input id="_btn" class="upload_image_button" type="button" value="Upload Image" />
						<label><?php _e( 'The recommended size is:210pxX60px','softnep_news' ); ?></label>
					</td>
				</tr>
				<!-- Option 4: Contact Information for Footer -->
				<tr valign="top">
					<th scope="row"><?php _e( 'Contact Information for Footer','softnep_news'); ?></th>
					<td><label><?php _e( 'Enter contact information to be display on footer. Use  br tag for line break','softnep_news' ); ?></label>
					<br />
						<textarea id="softnepnews_options[contact_info]" name="softnepnews_options[contact_info]" rows="5" cols="36" value="<?php echo esc_attr($options['contact_info']); ?>"></textarea>
						
					</td>
				</tr>
				<!-- Option 5: Email Id for sending feedback email -->
				<tr valign="top">
					<th scope="row"><?php _e( 'Contact Email','softnep_news'); ?></th>
					<td><input id="softnepnews_options[contact_email]" name="softnepnews_options[contact_email]" type="text" size="36" value="<?php echo esc_attr($options['contact_email']); ?>" />
						<label><?php _e( 'Enter the email id  to send feedback' ,'softnep_news'); ?></label>
					</td>
				</tr>
				<!-- Option 6: Google Map -->
				<tr valign="top">
					<th scope="row"><?php _e( 'Google Map','softnep_news' ); ?></th>
					<td><input id="softnepnews_options[google_map]" name="softnepnews_options[google_map]" type="text" size="36" value="<?php echo esc_attr($options['google_map']); ?>" />
						<label><?php _e( 'Enter the iframe code.','softnep_news' ); ?></label>
					</td>
				</tr>
				<!-- Option 7: Copyright Information -->
				<tr valign="top">
					<th scope="row"><?php _e( 'Copyright Information','softnep_news' ); ?></th>
					<td><input id="softnepnews_options[copyright]" name="softnepnews_options[copyright]" type="text" size="36" value="<?php echo esc_attr($options['copyright']); ?>" />
						<label><?php _e( 'Enter the copyright information','softnep_news' ); ?></label>
					</td>
				</tr>
				<!-- Option 8: Tracking Code -->
				<tr valign="top">
					<th scope="row"><?php _e( 'Tracking Code','softnep_news' ); ?></th>
					<td><label><?php _e( 'Enter your analytics tracking code','softnep_news' ); ?></label>
					<br />
					<textarea id="softnepnews_options[tracking]" name="softnepnews_options[tracking]" rows="5" cols="36" value="<?php echo esc_attr($options['tracking']); ?>"></textarea></td>
				</tr>
			</table>
		<p class="submit">
			<input type="submit" class="button-primary" value="<?php _e( 'Save Options', 'softnep_news' ); ?>" />
		</p>
	</form>
<?php
}
//sanitize and validate
function softnepnews_validate_options( $input ) {
    global $select_options, $radio_options;
     if ( ! isset( $input['option1'] ) )
        $input['option1'] = null;
    $input['option1'] = ( $input['option1'] == 1 ? 1 : 0 );
    $input['sometext'] = wp_filter_nohtml_kses( $input['sometext'] );
    if ( ! isset( $input['radioinput'] ) )
     $input['radioinput'] = null;
    if ( ! array_key_exists( $input['radioinput'], $radio_options ) )
     $input['radioinput'] = null;
    $input['sometextarea'] = wp_filter_post_kses( $input['sometextarea'] );
    return $input;
}
endif;  // EndIf is_admin()
?>
