<?php 
/**
 * Facebook Like Box Widget
 */
class Facebook_Like_Box_Widget extends WP_Widget {
    /**
    * Register widget with WordPress.
     */
    public function __construct() {
        parent::__construct(
            'sn_facebook_widget',       // Base ID
            'Facebook Like Box',        // Name
            array(
                'classname'     =>   'facebook_widget',
                'description'   =>   __('A widget that displays a facebook like box from your facebook page.', 'softnep_news')
            )
        );
 
    } // end constructor

    /**
 * Front-end display of widget.
 */
    public function widget( $args, $instance ) {
    extract( $args );
 
    /* Our variables from the widget settings. */
    $this->widget_title = apply_filters('widget_title', $instance['title'] );
    $this->facebook_username = $instance['page_name']; 
    add_action('wp_footer', array(&$this,'add_js'));
    /* Display the widget title if one was input (before and after defined by themes). */
    echo '<div id="sn_widget">
        <div class="widget-box">';
    echo $args['before_title'] . $instance["title"] . $args['after_title'];
    /* Like Box */
    ?>
        <div class="fb-page" 
        data-href="https://www.facebook.com/<?php echo $this->facebook_username; ?>" 
        data-small-header="true" 
        data-adapt-container-width="true" 
        data-hide-cover="false" 
        data-show-facepile="true"
         data-show-posts="false">
         <div class="fb-xfbml-parse-ignore">
         <blockquote cite="https://www.facebook.com/<?php echo $this->facebook_username; ?>">
         <a href="https://www.facebook.com/<?php echo $this->facebook_username; ?>"><?php echo $this->facebook_username; ?></a>
         </blockquote></div></div>
<?php
echo '</div>';
echo $after_widget;
   }
    /**
 * Add Facebook javascripts
 */
    public function add_js() {
    echo '<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.3&appId=1552828154978897";
  fjs.parentNode.insertBefore(js, fjs);
}(document, \'script\', \'facebook-jssdk\'));</script>';
    }

    /**
 * Sanitize widget form values as they are saved.
 *
* @return array Updated safe values to be saved.
 */
function update( $new_instance, $old_instance ) {
    $instance = $old_instance;
    /* Strip tags for title and name to remove HTML (important for text inputs). */
    $instance['title'] = strip_tags( $new_instance['title'] );
    $instance['page_name'] = strip_tags( $new_instance['page_name'] );
    return $instance;
    }
    /**
 * Create the form for the Widget admin
 *
 * @see WP_Widget::form()
 *
 * @param array $instance Previously saved values from database.
 */
function form( $instance ) {
    $instance = wp_parse_args( (array) $instance, array(
            'title'          =>__( '','softnep_news' ),
            'page_name'      =>__('' ,'softnep_news' )
        ) ); ?>
 
    <!-- Widget Title: Text Input -->
    <p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'softnep_news') ?></label>
    <input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" /></p>
    <!-- Page name: Text Input -->
    <p><label for="<?php echo $this->get_field_id( 'page_name' ); ?>"><?php _e('Page name (http://www.facebook.com/[page_name])', 'softnep_news') ?></label>
    <input type="text" class="widefat" id="<?php echo $this->get_field_id( 'page_name' ); ?>" name="<?php echo $this->get_field_name( 'page_name' ); ?>" value="<?php echo $instance['page_name']; ?>" /></p>
    
    <?php
    }
}
//register widget
function register_facebooklikebox_widget() {
    register_widget( 'Facebook_Like_Box_Widget' );
    }
add_action( 'widgets_init', 'register_facebooklikebox_widget' );
