<?php 
$options = get_option( 'softnepnews_options');
session_start();
/**
 * Template Name: Contact Page
*/
 get_header(); ?>
<section id="sn_mainbody">
	<section id="sn_page">
    	<?php if (have_posts()) : while (have_posts()) : the_post();?>
        <!-- Main Content -->
    	<section id="sn_inner_full_container" class="full-width">
        	<section class="article-title"><h2><?php the_title();?></h2></section>
            <section class="contact">
            	<div class="contact-details">
                	<!-- Contact Address Details -->
                    <div class="contact-address">
                    <?php the_content();?>
                    </div>
                	<!-- end Contact Address Details -->
                    <hr />
                	<!-- Google Map -->
                    <div class="contact-map embed-container">
                        <h5>Our Location Map</h5>
                            <?php echo ($options['google_map']);?>
                    </div>
                	<!-- end Google Map -->
                </div>
                <!-- Contact Form -->
                <div class="contact-form">
                     <?php 
                    if (isset($_POST['submit'])) { 
                     if(!$_POST['contact_form_name'] || !$_POST['contact_form_email'] || !$_POST['contact_form_message']){?>
                        <div class="error"><?php _e('Please fill in all required fields!','softnep_news'); ?></div>
                        <?php } elseif(!is_email($_POST['contact_form_email'])) {?>
                            <div class="error"><?php _e('Please enter valid email ID','softnep_news');?></div>
                            <?php }  else {
                            wp_mail($options['contact_email'], sprintf( '[%s] ' . esc_html($_POST['contact_form_subject']), get_bloginfo('name') ), esc_html($_POST['contact_form_message']),'From: "'. esc_html($_POST['contact_form_name']) .'" <' . esc_html($_POST['contact_form_email']) . '>');
                            unset($_POST);?>
                            <div class="message"><?php _e('Thanks for contacting us.','softnep_news'); ?></div>
                            <?php } 
                     }?>
                	<form method="post" action="">
					<input type="hidden" name="contact_form_submit" value="true" />
                    <h5>Send Us Your Suggestions</h5>
                    <p><label for="name">Name:</label> <span class="required">*</span><br />
                    <input type="text" name="contact_form_name" value="<?php if (isset($_POST['contact_form_name']) ) { echo esc_attr($_POST['contact_form_name']); } ?>" /></p>
                    <p><label for="email">Email:</label> <span class="required">*</span><br />
                    <input type="text" name="contact_form_email" value="<?php if (isset($_POST['contact_form_email']) ) { echo esc_attr($_POST['contact_form_email']); } ?>" /></p>
                    <p><label for="subject">Subject:</label><br />
                    <input type="text" name="contact_form_subject" value="<?php if ( isset($_POST['contact_form_subject']) ) { echo esc_attr($_POST['contact_form_subject']); } ?>"/></p>
                    <p><label for="message">Message:</label> <span class="required">*</span><br />
                    <textarea name="contact_form_message"><?php if ( isset($_POST['contact_form_message']) ) { echo esc_textarea($_POST['contact_form_message']); } ?> </textarea></p>
                    <p><input type="submit" value="Submit" name="submit" /></p>
                    </form>
                </div>
                <!-- end Contact Form -->
            </section>
        </section>
        <!-- end Main Content -->
    <?php endwhile; endif;?>
    </section>
</section>
 <?php get_footer();?>